.menu-top-section {
	height: 100%;
	background-color: var(--background-color);

	& .menu-header {
		display: flex;
		height: var(--header-height);
		align-items: center;
		justify-content: space-between;
		width: 100%;
		padding: 0 8px;
		border-bottom: 2px solid var(--border-color);

		& .version-info {
			font-size: 12px;
			color: gray;
			cursor: pointer;
			text-decoration: none !important;
		}
	}

	& .listItem {
		/* For outline visibility */
		margin: 0.15rem 0;
	}
}

.menu-bottom-section {
	display: flex;
	flex-direction: column;
	gap: 5px;
	position: absolute;
	bottom: 0;
	width: 100%;

	& .branding {
		cursor: pointer;
		display: flex;
		font-size: 11px;
		justify-content: center;
		padding-right: 5px;
		align-items: center;
		gap: 4px;
		text-decoration: none !important;

		&:hover {
			color: var(--app-font-color);
		}
	}

	& .pwa-button {
		border: none;
		border-top: 8px solid var(--footer-secondary);
		background-color: var(--footer-primary);
		cursor: pointer;
		font-family: var(--app-font-family);
		color: var(--alt-font-color, white);
		font-size: 0.875rem;
		font-weight: bold;
		display: flex;
		align-items: center;
		justify-content: center;
		gap: 1.4rem;
		padding: 1.4rem 0;
		transition: all 0.3s ease;

		&:hover {
			background-color: var(--hover-color);
		}
	}
}

.drawer-spinner-fallback {
	display: flex;
	align-items: center;
	justify-content: center;
	padding: 70px;
}
